Bug 601987 - selecting only ancestor for relative-resource operation-based alert sender is broken
selecting only ancestor for relative-resource operation-based alert sender is...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
3.0.0
All Linux
urgent Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Sudhir D
:
Depends On:
Blocks: jon-sprint11-bugs
  Show dependency treegraph
 
Reported: 2010-06-08 20:41 EDT by Joseph Marques
Modified: 2010-08-12 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:59:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2010-06-08 20:41:06 EDT
Description of problem:

"relative resource" mode for operation-based alert sender should allow executing an operation on an ancestor resource.  the UI allows you to setup an alert notification like this, but when it fires the execution algorithm thinks the notification is in an invalid state, and does not execute the operation.

Steps to Reproduce:
1. Add an alert notification (create an alert definition if needed)
2. Select "resource operation"
3. Select "relative resource"
4. Select some ancestor, but do not fill in any descendant information
5. Make this alert fire
  
Actual results:

Audit trail says "<no 'filter by' selected>"

Expected results:

The operation executes on the ancestor resource.
Comment 1 Joseph Marques 2010-06-09 11:47:12 EDT
commit 8e1e17afe40377dd8dabce0e2dca3d1550179b86
Author: Joseph Marques <joseph@redhat.com>
Date:   Wed Jun 9 03:03:44 2010 -0400

    BZ-601987: fix related-resource execution for operation-based custom alert sender
    
    * it is valid to select an operation from a direct ancestor
    ** thus, don't throw exceptions when the descendantType field is null
Comment 2 Corey Welton 2010-06-10 12:39:54 EDT
Verified.  Ops against parent/ancestral resources get triggered when these ops are fired.  No longer do we see an error in the audit trail.  We see the note that says operation 'foo' was triggered on ancestral resource 'bar'.
Comment 3 Corey Welton 2010-08-12 12:59:49 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.